[[for int in interfaces]]
[[if "mod_layer" in int]] Layer: [[mod_layer]]
[[end]] [[if "mod_name" in int]] Module: [[mod_name]]
[[end]]
[[exec i = 0]] [[int['interface_name']]]( [[for arg in int['interface_parameters']]] [[if i != 0]] , [[end]] [[exec i = 1]] [[if arg['optional'] == 'yes']] [ [[end]] [[arg['name']]] [[if arg['optional'] == 'yes']] ] [[end]] [[end]] )
[[if int['interface_summary']]]

##### Summary

[[int['interface_summary']]] [[end]] [[if int['interface_desc']]]

##### Description

[[int['interface_desc']]] [[end]]

##### Parameters

Parameter: | Description:
--- | ---
[[for arg in int['interface_parameters']]]
[[arg['name']]] | [[arg['desc']]]
[[end]]

[[end]]